import React, { PureComponent } from 'react';
import { Editor } from '@gant-lowcode/lowcode-editor-core';
import { Asset } from '@gant-lowcode/lowcode-utils';
import './index.scss';
export interface PluginProps {
    engineEditor: Editor;
}
interface DesignerPluginState {
    componentMetadatas?: any[] | null;
    library?: any[] | null;
    extraEnvironment?: any[] | null;
    renderEnv?: string;
    device?: string;
    locale?: string;
    designMode?: string;
    deviceClassName?: string;
    simulatorUrl: Asset | null;
    requestHandlersMap: any;
}
export default class DesignerPlugin extends PureComponent<PluginProps, DesignerPluginState> {
    static displayName: 'LowcodePluginDesigner';
    state: DesignerPluginState;
    private _mounted;
    constructor(props: any);
    private setupAssets;
    componentWillUnmount(): void;
    private handleDesignerMount;
    render(): React.ReactNode;
}
export {};
